<?xml version="1.0" encoding="UTF-8"?>
<sequence name="StartLogSequence" trace="disable" xmlns="http://ws.apache.org/ns/synapse">
    <property action="remove" name="statusMessage" scope="default"/>
    <property expression="get-property('SYSTEM_DATE', 'yyyy-MM-dd HH:mm:ss.SSS')" name="sequenceStartTime" scope="default" type="STRING" xmlns:ns="http://org.apache.synapse/xsd"/>
    <property name="startStop" scope="default" type="STRING" value="START"/>
    <property name="status" scope="default" type="STRING" value="OK"/>
    <filter xmlns:ns="http://org.apache.synapse/xsd" xpath="get-property('synchronous')">
        <then>
            <log>
                <property name="Logger" value="Call is synchronous"/>
            </log>
        </then>
        <else>
            <property name="synchronous" scope="default" type="STRING" value="false"/>
        </else>
    </filter>
    <class name="com.example.JsonLogger"/>
    <property action="remove" name="startStop" scope="default"/>
</sequence>
